Package Details: skypeforlinux-preview-bin 8.55.76.124-1

Git Clone URL: https://aur.archlinux.org/skypeforlinux-preview-bin.git (read-only)
Package Base: skypeforlinux-preview-bin
Description: Skype for Linux - Preview/Insider Version
Upstream URL: http://www.skype.com
Keywords: skype
Licenses: custom
Conflicts: skype, skypeforlinux, skypeforlinux-beta-bin, skypeforlinux-bin, skypeforlinux-stable-bin
Provides: skype, skypeforlinux
Replaces: skypeforlinux-bin
Submitter: bulletmark
Maintainer: bulletmark
Last Packager: bulletmark
Votes: 432
Popularity: 1.25
First Submitted: 2018-01-11 03:54
Last Updated: 2019-12-06 09:42

Pinned Comments

bulletmark commented on 2018-02-15 21:38

Please don't post here (or on any other AUR packages) about out of date versions. Use the "Flag package out-of-date" link at the top. Also, BEFORE flagging this package out of date please check that it has not already been updated here to the new version.

Note that AUR package skypeforlinux-stable-bin is the version Microsoft release as their "stable" version. AUR package skypeforlinux-preview-bin is the version Microsoft release as their preview version and will always be a later version than the stable version.

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 ... Next › Last »

ava1ar commented on 2019-08-16 03:55

Why does it depends on gconf?

bulletmark commented on 2019-08-07 01:08

@lectrode, thanks. Fixed now with new release.

lectrode commented on 2019-08-06 23:06

(edited) I recently got this error in the log file:

[8636:0804/155332.443032:FATAL:setuid_sandbox_host.cc(157)] The SUID sandbox helper binary was found, but is not configured correctly. Rather than run without sandboxing I'm aborting now.
You need to make sure that /usr/share/skypeforlinux/chrome-sandbox is owned by root and has mode 4755.

The application was attempting to fall back to suid sandboxing (not ideal). Turns out I had mistakenly disabled the more secure sandboxing. The following kernel parameter needs to be set to 1 to enable:

sudo sysctl kernel.unprivileged_userns_clone=1

Thanks @bulletmark for the more secure solution

bulletmark commented on 2019-08-05 03:02

SinClaus, I wrote about this in the commit comment here when I updated the version. Skype 8.51.76.61 starts in the background, regardless of the explicit configuration setting, but then otherwise appears to work normally. I reported the bug via the "Help/Report a Problem" menu function and I urge others to do the same so it appears on their radar.

SinClaus commented on 2019-08-05 02:51

Name : skypeforlinux-preview-bin Version : 8.51.76.61-1

Program is started bu there isn't any window on desktop - the program is working in the background only.

berturion commented on 2019-05-23 09:46

@Firechris, I had the exact same problem.

/usr/lib/node_modules/asar/lib/asar.js:29
module.exports.createPackage = async function (src, dest) {
                                     ^^^^^^^^

SyntaxError: Unexpected token function
    at createScript (vm.js:56:10)
    at Object.runInThisContext (vm.js:97:10)
    at Module._compile (module.js:549:28)
    at Object.Module._extensions..js (module.js:586:10)
    at Module.load (module.js:494:32)
    at tryModuleLoad (module.js:453:12)
    at Function.Module._load (module.js:445:3)
    at Module.require (module.js:504:17)
    at require (internal/module.js:20:19)
    at Object.<anonymous> (/usr/lib/node_modules/asar/bin/asar.js:2:12)
==> ERREUR : Une erreur s’est produite dans package().
    Abandon…
Error making: skypeforlinux-preview-bin

I uninstalled nodejs-lts-boron and installed nodejs. Then yay -S skypeforlinux-preview-bin worked.

Should the package nodejs be a dependency ?

Firechris commented on 2019-04-10 05:32

@bulletmark: Thanks for answering.

My system is up-to-date. I have no custom asar package install, afaik. My version asar:

$ pacman -Q --info asar Name : asar Version : 1.0.0-1 Beschreibung : Creating Electron app packages Architektur : any URL : https://github.com/electron/asar Lizenzen : MIT Gruppen : Nichts Stellt bereit : Nichts Hängt ab von : nodejs Optionale Abhängigkeiten : Nichts Benötigt von : Nichts Optional für : Nichts In Konflikt mit : Nichts Ersetzt : Nichts Installationsgröße : 1150,00 KiB Packer : Nicola Squartini tensor5@gmail.com Erstellt am : So 10 Mär 2019 09:19:01 CET Installiert am : Mi 10 Apr 2019 07:29:01 CEST Installationsgrund : Installiert als Abhängigkeit für ein anderes Paket Installations-Skript : Nein Verifiziert durch : Signatur

bulletmark commented on 2019-04-09 22:28

@Firechris, you say "there is a problem with asar.js on my machine" Have you installed a custom asar package? What version asar package do you have? Is your system up to date? etc.

Firechris commented on 2019-04-09 15:54

I tried to install this package but it seems there is a problem with asar.js on my machine, see

/usr/lib/node_modules/asar/lib/asar.js:46 .then(([filenames, metadata]) => module.exports.createPackageFromFiles(src, dest, filenames, metadata, options)) ^

SyntaxError: Unexpected token [

Fuller log:

==> Von skypeforlinux-preview-bin benötigt: - gtk3 (bereits installiert) - libxss (bereits installiert) - gconf (bereits installiert) - alsa-lib (bereits installiert) - libxtst (bereits installiert) - libsecret (bereits installiert) - nss (bereits installiert) - glibc>=2.28-4 (bereits installiert) - asar (bereits installiert) [makedepend]

==> Mit dem Erstellen von skypeforlinux-preview-bin fortfahren?[J/n] ==> ---------------------------------------------------------------- ==> ==> Erstelle und installiere Paket ==> Erstelle Paket: skypeforlinux-preview-bin 8.43.76.38-1 (Di 09 Apr 2019 17:48:38 CEST) ==> Prüfe Laufzeit-Abhängigkeiten... ==> Prüfe Buildtime-Abhängigkeiten... ==> Empfange Quellen... -> Lade skypeforlinux_8.43.76.38_amd64.deb herunter... % Total % Received % Xferd Average Speed Time Time Time Current Dload Upload Total Spent Left Speed 100 70.0M 100 70.0M 0 0 8987k 0 0:00:07 0:00:07 --:--:-- 9094k ==> Überprüfe source Dateien mit sha256sums... skypeforlinux_8.43.76.38_amd64.deb ... Durchgelaufen ==> Entpacke Quellen... -> Entpacke skypeforlinux_8.43.76.38_amd64.deb mit bsdtar ==> Betrete fakeroot Umgebung... ==> Beginne package()... /usr/lib/node_modules/asar/lib/asar.js:46 .then(([filenames, metadata]) => module.exports.createPackageFromFiles(src, dest, filenames, metadata, options)) ^

SyntaxError: Unexpected token [ at exports.runInThisContext (vm.js:53:16) at Module._compile (module.js:387:25) at Object.Module._extensions..js (module.js:422:10) at Module.load (module.js:357:32) at Function.Module._load (module.js:314:12) at Module.require (module.js:367:17) at require (internal/module.js:16:19) at Object.<anonymous> (/usr/lib/node_modules/asar/bin/asar.js:2:12) at Module._compile (module.js:413:34) at Object.Module._extensions..js (module.js:422:10) ==> FEHLER: Ein Fehler geschah in package(). Breche ab... ==> FEHLER:Makepkg konnte skypeforlinux-preview-bin nicht erstellen. ==> Erstellen von skypeforlinux-preview-bin neu starten?[j/N] ==> ---------------------------------------------------------

fettouhi commented on 2019-04-07 14:14

The last couple of version of Skype hang for me when I try to close the app completely via try (on KDE). Anybody else noticed that?